> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get term suggestions from synonyms/categories/comments for autocomplete/autosuggest purposes



## OpenAPI

````yaml /api-reference/4.2/service-synonyms-editor.json get /collections/{collection}/synonyms/{path}/suggestions
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service synonyms-editor
servers:
  - url: /api/apollo/
security: []
tags:
  - name: synonyms-editor
paths:
  /collections/{collection}/synonyms/{path}/suggestions:
    get:
      tags:
        - 4.2 Synonyms API
      summary: >-
        Get term suggestions from synonyms/categories/comments for
        autocomplete/autosuggest purposes
      operationId: getSuggestions
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: The path to a synonym file
          required: true
          schema:
            type: string
            pattern: .*
        - name: field
          in: query
          description: The field to search
          required: false
          schema:
            type: string
        - name: q
          in: query
          description: The query term for which to get suggestions
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string

````